<!DOCTYPE html>

{% load static %}
{% load crispy_forms_tags %}

<html>

<head>
    <title>Login</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Compiled and minified CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">

    <!-- Compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css"
          integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <script type="text/javascript">
          Raven.config('https://8277b5311aec4705b33d389b41318656@o491805.ingest.sentry.io/5557979').install();
        window.onerror = Raven.process;
      </script>
</head>
<style>
    .Mainblock {
        width: 60%;
        padding: 10px;
        border-bottom-width: 1px;
        border-color: gray;
        border-style: solid;
    }

    .pic {
        width: 0%;
        height: 50%;
    }

    .et_pb_button {
        display: inline-block;
        margin: 5px; /* space between buttons */
    }

    .commentbox {
        height: 40%;
        padding: 10px;

    }

    .btn {
        padding-bottom: 10px;
    }

    .Comm {
        padding: 10px;
        padding-top: 300px;
        height: 50%;
    }

    .navbar {
        background-color: white;

    }

    .gallery {
        display: grid;
        grid-template-columns: repeat(8, 1fr);
        grid-template-rows: repeat(8, 5vw);
        grid-gap: 15px;
    }

    gallery__img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    .Abb {
        padding-top: 50px;
        width: 50%;
        float: right;
        height: 50%;

    }

    .but {
        float: right;
        border-radius: 40%;
    }

    .mm {
        height: 100%;
        width: 130%;
    }

    .col {
        float: left;
        width: 50%;
        margin: auto;
        padding: 0 50px;
        margin-top: 6px;
    }

    .butt {
        padding: 10px;
        height: 40%;

    }


</style>


<!-- As a heading -->
<nav class="navbar navbar-light bg-light shadow">
    <span class="navbar-brand mb-0 h1">Country Detail</span>

    <div class="float-right">
        <a href="/contact">
            <button class="btn btn-danger mb-4">Contact</button>
        </a>
    </div>

</nav>

{% for message in messages %}
<div class="alert {{ message.tags }} alert-dismissible text-center mt-3" role="alert">
    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
    {{ message }}
</div>
{% endfor %}


<br>

<body>
<div class="container ">
 <a class="navbar-brand" href="#" style="color: black">Country Web apps ><span>Countries</span></a>
    <div class="row">

        <div class="left Mainblock">
            <h4 style="margin-top: 10px;">India</h4>
            <div class="card">
                <div class="card-content">
                    <div class="left" style="padding: 7px;">
                        <img src="{{ country.image.url  }}">

                    </div>

                    <div class="right" style="padding: 1px;height: 300px">

                        <h5>Native name: {{ country.native_name }}</h5>
                        <h6>Capital: {{ country.capital }}</h6>
                        <h6>population: {{ country.population }}</h6>
                        <h6>Region: {{ country.region }}</h6>
                        <h6>Sub Region: {{ country.sub_region }}</h6>
                        <h6>Area: {{ country.area_km }} km</h6>
                        <h6>Country Code: + {{ country.country_code }}</h6>
                        <h6>Languages:{{ country.Languages }}</h6>
                        <h6>Currencies: {{ country.currency }} </h6>
                        <h6>Timezones: {{ country.timezones }}</h6>

                    </div>
                </div>
                <div class="card">
                    <br>
                    <h3 style="padding:10px;">Neighbour Countries</h3>

                    <div class="card-content">

                        <div class="gallery">
                            {% for ct in country_dt %}
                            <div class="row">
                                <div class="col-sm">
                                    <img src="{{ ct.image.url }}" class="gallery__img" alt="Image 1">
                                </div>
                            </div>
                            {% endfor %}
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <div class="Mainblock2 ml-5 mt-5">
            <div class="post-comments">
                <header>
                    <h3 class="h6">Post Comments<span class="no-of-comments">({{ country.comments.count }})</span></h3>
                </header>
                {% for comment in country.get_comments %}
                <div class="comment ">
                    <div class="comment-header d-flex justify-content-between">
                        <div class="user d-flex align-items-center">
                            <div class="title"><strong>User : [{{ comment.user.username }}]
                            </strong><span class="date blockquote-footer">{{ comment.timestamp|timesince }} ago</span>
                            </div>
                        </div>
                    </div>
                    <div class="comment-body">
                        <p>{{ comment.content }}</p>
                    </div>
                </div>
                {% endfor %}
            </div>

            <header>
                <h3 class="h6">Leave a reply</h3>
            </header>

            <form action="." method="POST">
                {% csrf_token %}
                {{ form|crispy }}
                {% if request.user.is_authenticated %}
                    <button type="submit" class="btn btn-success">Submit Comment</button>
                {% else %}
                    <a href="{% url 'login' %}" class="btn btn-danger">Login For Comment</a>
                {% endif %}
            </form>

            <div class="Comm">
                <center><h3 style="font-style:italic"> Got something to say?</h3></center>
                <center><h6 style="font-style:italic">Comment to start a discussion, make a note, or</h6></center>
                <center><h6 style="font-style:italic"> annotate the artboard.</h6></center>

            </div>

        </div>

    </div>


</body>
</html>
